<?php

namespace Garradin\Plugin\Materiels;

use Garradin\DB;
use Garradin\Plugin\Materiels\Equipment;

class Entry
{
  public function listKinds()
  {
    return array(
      'Achat',
      'Don',
      'Récupération',
      'Location / Prêt',
    );
  }

  public function add($data = [])
	{
    DB::getInstance()->insert('plugin_materiels_entry', $data);
	}

  public function edit($id, $data = [])
	{
    $db = DB::getInstance();
    $db->update('plugin_materiels_entry', $data, $db->where('id', $id));
	}

  public function listAll()
	{
		return DB::getInstance()->get('SELECT * FROM plugin_materiels_entry ORDER BY entry_date DESC;');
	}

  public function PossibilityRentEqmtEntry($id, $eqmt_number, $date)
	{
    $after_entry_dates = DB::getInstance()->get(
      "SELECT entry_date FROM plugin_materiels_entry WHERE kind = 'Retour de location / prêt' AND equipment_id = '{$id}' AND entry_date > '{$date}';");
    $entry_dates = array($date);
    foreach ($after_entry_dates as $row)
    {
      array_push($entry_dates, $row->entry_date);
    }
    $eqmt = new Equipment;
    foreach ($entry_dates as $entry_date) {
      $out_of_stock_eqmt = $eqmt->CalculateOutOfStockByDate($id, $entry_date);
      if ($out_of_stock_eqmt - $eqmt_number < 0)
      {
        return false;
      }
    }
    return true;
	}
}
