{include file="admin/_head.tpl" title="%s"|args:$plugin.nom current="plugin_%s"|args:$plugin.id}

{include file="%s_nav.tpl"|args:$plugin_tpl current="index"}

<h2>Matériel dont l'association est propriétaire</h2>
{foreach from=$eqmts_owned_by_cat key='cat' item="eqmts"}
	{if $eqmts}
		<h3>{$cat}</h3>
		<table class="list">
			<thead>
				<tr>
					<th><b>Désignation</b></th>
					<th><b>Stock</b></th>
					<th><b>Sorti en location / prêt</b></th>
					<th><b>Disponible</b></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				{foreach from=$eqmts item="eqmt"}
					<tr>
						<td>{$eqmt.designation}</td>
						<td>{$eqmt.stock}</td>
						<td>{$eqmt.out_of_stock}</td>
						<td>{$eqmt.stock - $eqmt.out_of_stock}</td>
						<td class="actions">
          		{linkbutton shape="edit" label="Modifier" href="modifier_materiel.php?id=%d"|args:$eqmt.id}
						</td>
					</tr>
				{/foreach}
			</tbody>
		</table>
	{/if}
{/foreach}

<h2>Matériel dont l'association n'est pas propriétaire (emprunté)</h2>
{foreach from=$eqmts_no_owned_by_cat key='cat' item="eqmts"}
	{if $eqmts}
		<h3>{$cat}</h3>
		<table class="list">
			<thead>
				<tr>
					<th><b>Désignation</b></th>
					<th><b>Nombre</b></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				{foreach from=$eqmts item="eqmt"}
					<tr>
						<td>{$eqmt.designation}</td>
						<td>{$eqmt.no_owned}</td>
						<td class="actions">
          		{linkbutton shape="edit" label="Modifier" href="modifier_materiel.php?id=%d"|args:$eqmt.id}
						</td>
					</tr>
				{/foreach}
			</tbody>
		</table>
	{/if}
{/foreach}

<h2>Matériel dont l'association n'est plus en possession</h2>
{foreach from=$eqmts_just_listed_by_cat key='cat' item="eqmts"}
	{if $eqmts}
		<h3>{$cat}</h3>
		<table class="list">
			<thead>
				<tr>
					<th><b>Désignation</b></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				{foreach from=$eqmts item="eqmt"}
					<tr>
						<td>{$eqmt.designation}</td>
						<td class="actions">
          		{linkbutton shape="edit" label="Modifier" href="modifier_materiel.php?id=%d"|args:$eqmt.id}
						</td>
					</tr>
				{/foreach}
			</tbody>
		</table>
	{/if}
{/foreach}

{include file="admin/_foot.tpl"}
